package com.hzs.member.detail;

import com.hzs.common.core.domain.R;
import com.hzs.common.domain.member.detail.CuMemberServiceLog;

import java.util.List;

public interface ICuMemberServiceLogServiceApi {

    /**
     * 查询pk_id最大的业务办理
     *
     * @param pkMember     会员编号
     * @param editTypeList 查询类型
     */
    List<CuMemberServiceLog> queryMaxCuMemberServiceLog(Long pkMember, List<Integer> editTypeList);

    /**
     * 查询最大审核次数
     *
     * @param pkMember
     * @param editType
     * @return
     */
    Integer selectByMaxApproveNumber(Long pkMember, int editType, int approveStatus);

    /**
     * 新增
     *
     * @param memberLog
     * @return
     */
    R<Boolean> insert(CuMemberServiceLog memberLog);

    /**
     * 根据业务单号查询
     *
     * @return
     */
    R<CuMemberServiceLog> selectByBusinessNo(String businessNo);

    /**
     * 根据业务单号修改信息
     *
     * @param memberLog
     * @return
     */
    R<Boolean> updateByBusinessNo(CuMemberServiceLog memberLog);

}
